Bug 1128279 - ld copies SONAME to DT_NEEDED without checking if it’s empty
Summary: ld copies SONAME to DT_NEEDED without checking if it’s empty
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: binutils
Version: 6.6
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Patsy Franklin
QA Contact: Miloš Prchlík
URL:
Whiteboard:
Keywords:
Depends On: 1117458
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 19:16 UTC by Jeff Law
Modified: 2018-12-09 18:19 UTC (History)
9 users (show)

(edit)
Cause: The linker will overwrite a valid SONAME with an empty string in a DT_NEEDED record.

Consequence: Certain programs will link, but not execute because symbols from some libraries will not be loaded.

Fix: The linker correctly handles empty strings in SONAMES.

Result: Programs execute as expected.
Clone Of: 1117458
(edit)
Last Closed: 2014-10-14 04:41:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1414 normal SHIPPED_LIVE binutils bug fix update 2014-10-14 00:54:49 UTC

Comment 4 Miloš Prchlík 2014-08-15 14:10:02 UTC
Verified for build binutils-2.20.51.0.2-5.42.el6.

Comment 5 errata-xmlrpc 2014-10-14 04:41:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1414.html


Note You need to log in before you can comment on or make changes to this bug.